@include('includes.admin.header')
@include('includes.admin.sidebar')  

<script>
    $(document).ready(function(){
        $('#transaction-menu').addClass('active');
    });
</script>
<link rel="stylesheet" href="/datepicker/dist/css/default/zebra_datepicker.min.css">
<script src="/datepicker/dist/zebra_datepicker.min.js"></script>
<!-- Content Wrapper. Contains page content -->
      <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
           Transactions List
            <small>From Transactions</small>
          </h1>
          <ol class="breadcrumb">
            <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
            <li><a href="#">Transactions</a></li>
            <li class="active">All Transactions</li>
          </ol>
        </section>

        <!-- Main content -->
        <section class="content">
          <div class="row">
            <div class="col-md-12">
              <div class="box">
                <div class="box-header with-border">
                  <h3 class="box-title">All Transactions</h3>
                </div><!-- /.box-header -->
                <div class="box-body table-responsive">
                  {!! Form::open(['method' => 'POST', 'class' => 'well top-margin pull-left col-sm-12']) !!}
                 
                    <div class="col-xs-12 col-md-4">
                      <input type="text" class=" form-control datepicker" placeholder="From Date" name="data[from_date]" value="<?php if(isset($data['from_date'])){echo date("d M Y", strtotime($data['from_date']));} ?>"/>
                    </div>

                    <div class="col-xs-12 col-md-4">
                      <input type="text" class="datepicker form-control" placeholder="To Date" name="data[to_date]" value="<?php if(isset($data['to_date'])){echo date("d M Y", strtotime($data['to_date']));} ?>"/>
                    </div>

                    <div class="col-xs-12 col-md-4">
                      <input type="submit" class="btn btn-success" value="Search" />
                    </div>

                  {!! Form::close() !!}
                  <table class="table table-bordered table-striped">
                      <thead>
                    <tr>
                      <th>#</th>
                      <th>
                        Date
                      </th>
                      <th>Title</th>
                      <th>
                          Description
                      </th>
                      <th>
                          Credit Amount
                      </th>
                      <th>
                          Debit Amount
                      </th>
                      
                      <th>Action</th>
                    </tr>
                      </thead>
                      <thead>
                        <tr>
                          <th colspan="7">
                            Total Credit Transactions = {{$creditTransactions}} | Total Debit Transactions = {{$debitTransactions}} | Debit - Credit = {{number_format($debitTransactions - $creditTransactions,2)}} <br/>
                            Total Revenue : {{$total_revenue}} | {{$profile['profit_percentage']}}% of Revenue : {{$total_revenue * $profile['profit_percentage'] /100}}
                            <br/>
                            Final Profit = {{number_format(($total_revenue * $profile['profit_percentage'] /100) + ($debitTransactions - $creditTransactions), 2)}}
                          </th>
                        </tr>
                      </thead>
                      <tbody>
                          @if($transactions->count() > 0)
                          @foreach($transactions AS $transaction)
                        <tr>
                          <td></td>
                          <td>{{date("d M Y", strtotime($transaction['date_date']))}}</td>
                          <td>{{$transaction['title']}}</td>
                          <td>{{$transaction['description']}}</td>
                          <td>
                            @if ($transaction['credit'] == 1)
                              {{$transaction['amount']}}
                            
                            @endif
                          </td>
                          <td>
                             @if ($transaction['credit'] == 0)
                              {{$transaction['amount']}}
                            
                            @endif
                          </td>
                         
                          <td>
                             <a class=" btn btn-xs btn-success" href="/admin/transactions/{{$transaction['UUID']}}/edit"><i class="glyphicon glyphicon-edit"></i></a>&nbsp;&nbsp; 
                             <a class=" btn btn-xs btn-danger btn-remove" data-id="{{$transaction['UUID']}}" data-name="{{$transaction['name']}}" href="#"><i class="glyphicon glyphicon-remove"></i></a>
                         </td>
                        </tr>
                        @endforeach
                        @endif
                    </tbody>
				            <tfoot>
                          <tr>
                              <td colspan="14">
                                  {{ $transactions->links() }}
                                   <div class="pull-right" id="page_no">
                                         Page : 
                                                <?php if(isset($_GET['page']))
                                                {
                                                  echo   $_GET['page'];
                                                }
                                                else
                                                {
                                                    echo 1;
                                                }
                                                ?>
                                            </div>
                              </td>
                          </tr>
                      </tfoot>
                  </table>
                </div><!-- /.box-body -->
<!--                <div class="box-footer clearfix">
                  <ul class="pagination pagination-sm no-margin pull-right">
                    <li><a href="#">&laquo;</a></li>
                    <li><a href="#">1</a></li>
                    <li><a href="#">2</a></li>
                    <li><a href="#">3</a></li>
                    <li><a href="#">&raquo;</a></li>
                  </ul>
                </div>-->
              </div><!-- /.box -->

             
            </div><!-- /.col -->
            
          </div><!-- /.row -->
          
        </section><!-- /.content -->
      </div><!-- /.content-wrapper -->
      <div class="modal" id="position-message" tabindex="-1" role="dialog">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">Message</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <p></p>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
      </div>
    </div>
  </div>
</div>
      <script>
         $('.datepicker').Zebra_DatePicker({
                    format : 'd M Y'
                });
            $(document).on('click', '.btn-remove', function(){
             
                var id = $(this).attr('data-id');
                var name = $(this).attr('data-name');
                var conf = confirm("Are you sure you want to delete " + name);
                var parent = $(this).parents('tr').first();
                var current = $(this);
                if(conf)
                {
                    $.ajax({
                        url: '/admin/transactions/' + id + '/delete',
                        type: 'DELETE',
                        dataType: 'json',
                        data:{"_token": "{{ csrf_token() }}"}
                    }).done(function(result) {
                        alert('Transaction Deleted Successfully');
                        $(parent).remove();
                    }).fail(function(xhr, textStatus, errorThrown){
                        var res = xhr.responseJSON;
                        var html = '';
                        console.log(res);
                        $(res).each(function(i, value){
                            console.log(value);
                            html+= value;
                        });
                        $(current).removeAttr('disabled');
                        $('#position-message').find('.modal-body p').html(html);
                        $('#position-message').modal('show');
                    });
                    
                }
              
            });
          </script>
@include('includes.admin.footer')