<?php echo $__env->make('includes.admin.header', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<?php echo $__env->make('includes.admin.sidebar', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<script>
    $(document).ready(function(){
        $('#team-menu').addClass('active');
    });
</script>

      <!-- Content Wrapper. Contains page content -->
      <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
           Team Creation
            <small>From teams</small>
          </h1>
          <ol class="breadcrumb">
            <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
            <li><a href="#">Teams</a></li>
            <li class="active">Create Teams</li>
          </ol>
        </section>

        <!-- Main content -->
        <section class="content">
          <div class="row">
            <div class="col-md-12">
                <div class="box">
                    <div class="box-header with-border">
                        <h3 class="box-title">Add New Team</h3>
                    </div><!-- /.box-header -->
                    <form class="form-horizontal" id="register-form">
                        <div class="error" style="display: none">
                            
                        </div>
                        <div class="box-body">
                            <div class="form-group">
                                <label for="inputname3" class="col-sm-2 control-label">Name</label>
                                <div class="col-sm-9">
                                    <input type="text" class="form-control" id="inputname3" name="name" placeholder="Name">
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="description" class="col-sm-2 control-label">Description</label>
                                <div class="col-sm-9">
                                    <textarea class="form-control" rows="3" id="description" name="description" placeholder="Enter ..."></textarea>
                                </div>
                            </div>
                                <div class="form-group">
                                    <label  for="address" class="col-sm-2 control-label">Address</label>
                                    <div class="col-sm-9">
                                        <textarea class="form-control" rows="3" id="address" name="address" placeholder="Enter ..."></textarea>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="inputphone3" class="col-sm-2 control-label">Phone</label>
                                    <div class="col-sm-9">
                                        <input type="phone" class="form-control" id="inputphone3" name="phone" placeholder="Phone">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="contact" class="col-sm-2 control-label">Contact Person</label>
                                    <div class="col-sm-9">
                                      <input type="text" class="form-control" id="contact" name="contact_person" placeholder="Contact Person">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="ground" class="col-sm-2 control-label">Home Ground</label>
                                    <div class="col-sm-9">
                                      <input type="text" class="form-control" id="ground" name="home_ground" placeholder="Home Ground">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="manager" class="col-sm-2 control-label">Manager</label>
                                    <div class="col-sm-9">
                                        <input type="text" class="form-control" name="manager" id="manager" placeholder="Manager Name">
                      
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="coach" class="col-sm-2 control-label">Team Coach</label>
                                    <div class="col-sm-9">
                                        <input type="text" class="form-control" name="team_coach" id="coach" placeholder="Coach Name">
                                    </div>
                                </div><!-- /.box-body -->
                                <div class="form-group">
                                    <label for="coach" class="col-sm-2 control-label">Active</label>
                                    <div class="col-sm-9">
                                        <select class="form-control" name="active" id="active">
                                            <option value="1">Yes</option>
                                            <option value="0">No</option>
                                        </select>
                                    </div>
                                </div><!-- /.box-body -->
                                <div class="box-footer">
                                    <button type="reset" class="btn btn-default">Cancel</button>
                                    <button type="button" class="btn btn-info pull-right" id="btn-submit">Submit</button>
                                </div><!-- /.box-footer -->
                            
                            </div><!-- /.box -->
                        </form>
                    </div><!-- /.col -->
                </div><!-- /.row -->
            </section><!-- /.content -->
        </div><!-- /.content-wrapper -->
        <script>
            $(document).ready(function(){
                $('#btn-submit').click(function(){
                    var current  = $(this);
                    current.attr('disabled', 'disabled').text('Please Wait. Saving.....');
                    var data = $("#register-form").serializeArray();
                    $.post('/admin/team/save',{data:data, "_token": "<?php echo e(csrf_token()); ?>"}, function(res, status){
                        
                        alert('Team Added Successfully');
                        window.location.href = '#body';
                        window.location.href = '/admin/team';
                    },'json')
                    .fail(function(xhr) {
                        var html = '';
                        var res = xhr.responseJSON;
                        $(res).each(function(i, value){
                                html+= '<p>' + value + '</p>';
                        });
                        $('.error').html(html).show();
                        $('#btn-submit').html('Submit').removeAttr('disabled');
                        window.location.href = '#body';
                    },'json');;
                });
            });
        </script>
<?php echo $__env->make('includes.admin.footer', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>