<?php echo $__env->make('includes.admin.header', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<?php echo $__env->make('includes.admin.sidebar', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<script>
    $(document).ready(function(){
        $('#position-menu').addClass('active');
    });
</script>
      <!-- Content Wrapper. Contains page content -->
      <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
           Main Positions List
            <small>From Positions</small>
          </h1>
          <ol class="breadcrumb">
            <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
            <li><a href="#">Positions</a></li>
            <li class="active">Main Positions</li>
          </ol>
        </section>

        <!-- Main content -->
        <section class="content">
          <div class="row">
            <div class="col-md-12">
              <div class="box">
                <div class="box-header with-border">
                  <h3 class="box-title">Main Positions</h3>
                </div><!-- /.box-header -->
                <div class="box-body table-responsive">
                    <table class="table table-bordered table-striped">
                        <tr>
                            <th>#</th>
                            <th>Name</th>
                            <th>
                                Short Form
                            </th>
                            <th>Action</th>
                        </tr>
                    
                        <?php if($positions->count() > 0): ?>
                            <?php $__currentLoopData = $positions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $position): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td></td>
                                <td><?php echo e($position['name']); ?></td>
                                <td><?php echo e($position['short_form']); ?></td>
                                <td>
                                    <a class=" btn btn-xs btn-success" href="/admin/position/edit/<?php echo e($position['UUID']); ?>"><i class="glyphicon glyphicon-edit"></i></a>&nbsp;&nbsp; 
                                    <button class=" btn btn-xs btn-danger btn-remove" data-name="<?php echo e($position['name']); ?>" data-id="<?php echo e($position['UUID']); ?>"><i class="glyphicon glyphicon-remove"></i></button>
                                </td>
                            </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php endif; ?>	
                  </table>
                </div><!-- /.box-body -->
<!--                <div class="box-footer clearfix">
                  <ul class="pagination pagination-sm no-margin pull-right">
                    <li><a href="#">&laquo;</a></li>
                    <li><a href="#">1</a></li>
                    <li><a href="#">2</a></li>
                    <li><a href="#">3</a></li>
                    <li><a href="#">&raquo;</a></li>
                  </ul>
                </div>-->
              </div><!-- /.box -->

             
            </div><!-- /.col -->
            
          </div><!-- /.row -->
          
        </section><!-- /.content -->
      </div><!-- /.content-wrapper -->
      
      <div class="modal" id="position-message" tabindex="-1" role="dialog">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">Message</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <p></p>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
      </div>
    </div>
  </div>
</div>
      
      <script>
            $(document).on('click', '.btn-remove', function(){
                
                var id = $(this).attr('data-id');
                var name = $(this).attr('data-name');
                var conf = confirm("Are you sure you want to delete " + name);
                var parent = $(this).parents('tr').first();
                var current = $(this);
                if(conf)
                {
                    $(this).attr('disabled', 'disabled');
                    $.ajax({
                        url: '/admin/position/delete/' + id,
                        type: 'DELETE',
                        data:{"_token": "<?php echo e(csrf_token()); ?>"},
                        dataType: 'json'
                    }).done(function(result) {
                        alert('Position deleted Successfully');
                        $(parent).remove();
                    }).fail(function(xhr, textStatus, errorThrown){
                        var res = xhr.responseJSON;
                        var html = '';
                        console.log(res);
                        $(res).each(function(i, value){
                            console.log(value);
                            html+= value;
                        });
                        $(current).removeAttr('disabled');
                        $('#position-message').find('.modal-body p').html(html);
                        $('#position-message').modal('show');
                    });
                    
                }
              
            });
          </script>
<?php echo $__env->make('includes.admin.footer', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>