@include('includes.admin.header')
@include('includes.admin.sidebar')   
<script>
    $(document).ready(function(){
        $('#position-menu').addClass('active');
    });
</script>
<!-- Content Wrapper. Contains page content -->
      <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
           Add Sub Positions 
            <small>From Positions</small>
          </h1>
          <ol class="breadcrumb">
            <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
            <li><a href="#">Positions</a></li>
            <li class="active">Create Sub Positions</li>
          </ol>
        </section>

        <!-- Main content -->
        <section class="content">
          <div class="row">
            <div class="col-md-12">
              <div class="box">
                <div class="box-header with-border">
                  <h3 class="box-title">Add New Position</h3>
                </div><!-- /.box-header -->
               <form class="form-horizontal" id='register-form'>
                   <div class="error" style="display: none">
                            
                        </div>
                  <div class="box-body">
                    <div class="form-group">
                      <label for="inputname3" class="col-sm-2 control-label">Name</label>
                      <div class="col-sm-9">
                        <input type="text" class="form-control" id="inputname3" name='name' placeholder="Name">
                      </div>
                    </div>
                    <div class="form-group">
                      <label for="main" class="col-sm-2 control-label">Main Postion</label>
                      <div class="col-sm-9">
                        <select class="form-control" id="main" name='position_id'>
                            @if($positions->count() > 0)
                            @foreach($positions AS $key => $value)
                            <option value='{{$key}}'>{{$value}}</option>
                            @endforeach
                            @endif
                        </select>
                      </div>
                    </div>
                  
		
                  </div><!-- /.box-body -->
                  <div class="box-footer">
                      <button type="reset" class="btn btn-default">Cancel</button>
                      <button type="button" class="btn btn-info pull-right" id='btn-submit'>Submit</button>
                  </div><!-- /.box-footer -->
                </form>
              </div><!-- /.box -->

             
            </div><!-- /.col -->
            
          </div><!-- /.row -->
          
        </section><!-- /.content -->
      </div><!-- /.content-wrapper -->
      
      <script>
            $(document).ready(function(){
                $('#btn-submit').click(function(){
                    var current  = $(this);
                   // current.attr('disabled', 'disabled').text('Please Wait. Saving.....');
                    var data = $("#register-form").serializeArray();
                    $.post('/admin/position/sub/save',{data:data, "_token": "{{ csrf_token() }}"}, function(res, status){
                        
                        alert('Sub Position Added Successfully');
                        window.location.href = '#body';
                        window.location.href = '/admin/position/sub';
                    },'json')
                    .fail(function(xhr) {
                        var html = '';
                        var res = xhr.responseJSON;
                        $(res).each(function(i, value){
                            html+= '<p>' + value + '</p>';
                        });
                        $('.error').html(html).show();
                        $('#btn-submit').html('Submit').removeAttr('disabled');
                        window.location.href = '#body';
                    },'json');;
                });
            });
        </script>
@include('includes.admin.footer')